com.google.gwt.dom.builder.shared

## Class HtmlOnlyTableSectionBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<TableSectionBuilder>
    - - com.google.gwt.dom.builder.shared.HtmlTableSectionBuilder
      - - com.google.gwt.dom.builder.shared.HtmlOnlyTableSectionBuilder

- All Implemented Interfaces:
    ElementBuilderBase<TableSectionBuilder>, TableSectionBuilder

      public final class HtmlOnlyTableSectionBuilder
      extends HtmlTableSectionBuilder

  A subclass of standard `HtmlTableSectionBuilder` that allows directly appending html to a table section.

  Some browsers do not support setting innerHTML on a table section element (such as a tbody), so both the DOM and HTML based implementations throw an error to ensure consistency. This class exists to allow users to append HTML to a TableSectionBuilder if they opt into the HTML version.

- - ### Field Summary

    - ### Fields inherited from interface com.google.gwt.dom.builder.shared.TableSectionBuilder

      `UNSUPPORTED_HTML`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HtmlOnlyTableSectionBuilder` | `createTBodyBuilder()` Create and return a table body section builder.
    `static HtmlOnlyTableSectionBuilder` | `createTFootBuilder()` Create and return a table footer section builder.
    `static HtmlOnlyTableSectionBuilder` | `createTHeadBuilder()` Create and return a table header section builder.
    `TableSectionBuilder` | `html(SafeHtml html)` Append html to the builder and validate the correctness of the html.

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.HtmlTableSectionBuilder

      `align, ch, chOff, text, vAlign`

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

      `asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

      `end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, isChildElementSupported, isEndTagForbidden, style`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, title, trustedStart`

- - ### Method Detail

    - #### createTBodyBuilder

          public static HtmlOnlyTableSectionBuilder createTBodyBuilder()

      Create and return a table body section builder.

    - #### createTFootBuilder

          public static HtmlOnlyTableSectionBuilder createTFootBuilder()

      Create and return a table footer section builder.

    - #### createTHeadBuilder

          public static HtmlOnlyTableSectionBuilder createTHeadBuilder()

      Create and return a table header section builder.

    - #### html

          public TableSectionBuilder html(SafeHtml html)

      Append html to the builder and validate the correctness of the html.
      Specified by:
        `html` in interface `ElementBuilderBase<TableSectionBuilder>`
      Overrides:
        `html` in class `HtmlTableSectionBuilder`
      Parameters:
        `html` - the html for the table section
      Returns:
        this builder